- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VSDNumericField Class Reference

`#include <VSDFieldList.h>`

Inheritance diagram for libvisio::VSDNumericField:

## Public Member Functions
| VSDNumericField (unsigned id, unsigned level, unsigned short format, double number, int formatStringId)
| ~VSDNumericField ()
void | handle (VSDCollector *collector) const
VSDFieldListElement * | clone ()
WPXString | getString (const std::map< unsigned, WPXString > &)
void | setNameId (int)
void | setFormat (unsigned short format)
void | setValue (double number)
Public Member Functions inherited from libvisio::VSDFieldListElement
| VSDFieldListElement ()
virtual | ~VSDFieldListElement ()

## Private Member Functions
WPXString | datetimeToString (const char *format, double datetime)

## Private Attributes
unsigned | m_id
unsigned | m_level
unsigned short | m_format
double | m_number
int | m_formatStringId

## Constructor & Destructor Documentation

libvisio::VSDNumericField::VSDNumericField | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned short | format,
|  | double | number,
|  | int | formatStringId
| ) |  |
| inline

libvisio::VSDNumericField::~VSDNumericField | ( |  | ) |
| inline

## Member Function Documentation

libvisio::VSDFieldListElement * libvisio::VSDNumericField::clone | ( |  | ) |
| virtual

Implements libvisio::VSDFieldListElement.

WPXString libvisio::VSDNumericField::datetimeToString | ( | const char * | format,
|  | double | datetime
| ) |  |
| private

WPXString libvisio::VSDNumericField::getString | ( | const std::map< unsigned, WPXString > & |  | ) |
| virtual

Implements libvisio::VSDFieldListElement.

Referenced by libvisio::VSDContentCollector::collectNumericField().

void libvisio::VSDNumericField::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDFieldListElement.

void libvisio::VSDNumericField::setFormat | ( | unsigned short | format | ) |
| virtual

Implements libvisio::VSDFieldListElement.

void libvisio::VSDNumericField::setNameId | ( | int |  | ) |
| inline virtual

Implements libvisio::VSDFieldListElement.

void libvisio::VSDNumericField::setValue | ( | double | number | ) |
| virtual

Implements libvisio::VSDFieldListElement.

## Member Data Documentation

unsigned short libvisio::VSDNumericField::m_format
| private

int libvisio::VSDNumericField::m_formatStringId
| private

unsigned libvisio::VSDNumericField::m_id
| private

unsigned libvisio::VSDNumericField::m_level
| private

double libvisio::VSDNumericField::m_number
| private

The documentation for this class was generated from the following files:

- VSDFieldList.h
- VSDFieldList.cpp